From: Carlos Alberto Lopez Perez <clopez@igalia.com>
Date: Tue, 8 Nov 2011 20:11:40 +0000
Subject: rename-to-wlan0
Origin: https://bugs.debian.org/648169

renames the interface ethX that the driver automatically
generates to another called wlanX like all the wireless drivers.
---
 README.txt                  | 8 ++++----
 amd64/src/wl/sys/wl_linux.c | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/README.txt b/README.txt
index 1068371..88f0d11 100644
--- a/README.txt
+++ b/README.txt
@@ -278,7 +278,7 @@ like this:
 
 TX POWER EXPLAINED
 ------------------
-'iwconfig eth1 txpower' & 'iwlist eth1 txpower' set and get the drivers 
+'iwconfig wlan0 txpower' & 'iwlist wlan0 txpower' set and get the drivers 
 user-requested transmit power level. This can go up to 32 dbm and allows
 the user to lower the tx power to levels below the regulatory limit.
 Internally, the actual tx power is always kept within regulatory limits
@@ -352,7 +352,7 @@ WHAT'S NEW IN RELEASE 5.60.48.36
 + Supports up to linux kernel 2.6.32
 + Supports hidden networks
 + Supports rfkill in kernels < 2.6.31
-+ Setting power level via 'iwconfig eth1 txpower X' now operational
++ Setting power level via 'iwconfig wlan0 txpower X' now operational
 + Support for bcm4313
 + Additional channels in both 2.4 and 5 Ghz bands
 + Fixed issue with tkip group keys that caused this message to repeat often:
@@ -391,14 +391,14 @@ KNOWN ISSUES AND LIMITATIONS IN EXTERNAL COMPONENTS
 
 wpa_supplicant 0.6.3 + nl80211 + WEP - (Note: This would only affect you if 
 you are using wpa_supplicant directly from the command line and specify 
-nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -ieth1 ..". If you are using
+nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -iwlan0 ..". If you are using
 network manager GUI to connect it should work file.)
 wpa_supplicant 0.6.3 might have a bug that affect WEP connections created 
 through nl80211. Upgrade to wpa_supplicant to 0.7.3 would solve this problem.
 
 Ubuntu 10.10 kernel + nl80211 + WPA/WPA2 - (Note: This would only affect you if 
 you are using wpa_supplicant directly from the command line and specify 
-nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -ieth1 ..". If you are using
+nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -iwlan0 ..". If you are using
 network manager GUI to connect it should work file.)
 Some kernel versions of Ubuntu such as 2.6.35-22 (released with Ubuntu 
 10.10) may have problems that affect WPA/WPA2 connections created through 
diff --git a/amd64/src/wl/sys/wl_linux.c b/amd64/src/wl/sys/wl_linux.c
index 0d05100..947cef3 100644
--- a/amd64/src/wl/sys/wl_linux.c
+++ b/amd64/src/wl/sys/wl_linux.c
@@ -217,7 +217,7 @@ module_param(nompc, int, 0);
 #define to_str(s) #s
 #define quote_str(s) to_str(s)
 
-#define BRCM_WLAN_IFNAME eth%d
+#define BRCM_WLAN_IFNAME wlan%d
 
 static char intf_name[IFNAMSIZ] = quote_str(BRCM_WLAN_IFNAME);
 
